"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerActionability(object):
    """
    An enumeration Variant Actionability: *
    `predicts_therapeutic_response`: Predicts therapeutic response *
    `prognostic`: Prognostic * `defines_diagnosis_group`: Defines
    diagnosis group * `eligibility_for_trial`: Eligibility for trial *
    `germline_susceptibility`: Germline susceptibility * `other`:
    Other (please specify)
    """

    germline_susceptibility = "germline_susceptibility"
    predicts_therapeutic_response = "predicts_therapeutic_response"
    prognostic = "prognostic"
    defines_diagnosis_group = "defines_diagnosis_group"
    eligibility_for_trial = "eligibility_for_trial"
    other = "other"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.10.0"
